IRKT Time Now
IRKT is the abbreviation of Irkutsk Time. Time zone offset of IRKT is UTC+08. Irkutsk Time is 8 hours ahead from the UTC universal time. IRKT current date is 14th Saturday November 2026. Current time in IRKT (IRKT).
IRKT Time
09:51:14
14 November 2026 Saturday
IRKT is the abbreviation used for referring to Irkutsk Time, used in the province of Irkutsk in the Siberian part of Russia. This time standard is 5 hours ahead of MSK time and 8 hours ahead of the UTC universal time. This time standard is used in such cities as Irkutsk, Ulan-Ude, Bratsk, and so on.
What time is it in Irkutsk Time now? It is 09:51:14 right now.
Irkutsk Time Date and Time Now in Various Formats
| Date Time Format | IRKT Date Time Now |
|---|---|
| UTC | 2026-11-14T01:51:14Z |
| ISO-8601 | 2026-11-14T09:51:14+0800 |
| RFC 2822 | Sat, 14 Nov 2026 09:51:14 +0800 |
| RFC 850 | Saturday, 14-Nov-26 09:51:14 IRKT |
| RFC 1036 | Sat, 14 Nov 26 09:51:14 +0800 |
| RFC 1123 | Sat, 14 Nov 2026 09:51:14 +0800 |
| RFC 822 | Sat, 14 Nov 26 09:51:14 +0800 |
| RFC 3339 | 2026-11-14T09:51:14+08:00 |
| ATOM | 2026-11-14T09:51:14+08:00 |
| COOKIE | Saturday, 14-Nov-2026 09:51:14 IRKT |
| RSS | Sat, 14 Nov 2026 09:51:14 +0800 |
| W3C | 2026-11-14T09:51:14+08:00 |
| Unix Epoch | 1794621074 |
| YYYY-DD-MM HH:MM:SS | 2026-14-11 09:51:14 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-14-11 09:51:14 AM |
| DD-MM-YYYY HH:MM:SS | 14-11-2026 09:51:14 |
| MM-DD-YYYY HH:MM:SS | 11-14-2026 09:51:14 |